WineHQ
Wine Forums

Board index » WineHQ » Wine Help » macOS




 Page 1 of 1 [ 4 posts ] 



 
Author Message
 Post Posted: Mon Oct 15, 2018 9:35 am 
Offline
Newbie
Newbie

Joined: Mon Oct 15, 2018 9:30 am
Posts: 2
The Wine installer requires Xquartz to run, but I find that Wine itself does not require X11 if it's using the native window server. Could the installer be modified to remove this requirement?


Top 
 Post Posted: Mon Oct 15, 2018 9:30 pm 
Offline
Level 4
Level 4

Joined: Mon Dec 25, 2017 12:11 pm
Posts: 106
The only real reason to keep the requirement is due to the installers copy of wine is missing libfreetype and libpng. If those were added then yes it would not be needed. Even more so since all of us builds from winehq all support macdriver.


Top 
 Post Posted: Mon Dec 17, 2018 5:28 pm 
Offline
Newbie
Newbie

Joined: Mon Oct 15, 2018 9:30 am
Posts: 2
That's very encouraging; what would need to be done to achieve this?


Top 
 Post Posted: Mon Dec 17, 2018 10:00 pm 
Offline
Level 4
Level 4

Joined: Mon Dec 25, 2017 12:11 pm
Posts: 106
Chrysogonus wrote:
That's very encouraging; what would need to be done to achieve this?


They would need to bundle libfreetype.6.dylib and libpng15.15.dylib like what is done with libopenal and the few others dylibs that are provided with wine.


Top 
Display posts from previous:  Sort by  
 
 Page 1 of 1 [ 4 posts ] 




Board index » WineHQ » Wine Help » macOS


Who is online

Users browsing this forum: No registered users and 5 guests

 
 

 
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to: